package cd.casic.ci.process.process.service.dataAnalysis;

import cd.casic.ci.process.dto.resp.dataAnalysis.DataAnalysisResp;
import cd.casic.ci.process.process.dataObject.volumnInfo.VulInfo;

import java.util.List;
import java.util.Map;

public interface DataAnalysisService {

    String getUseUserSUM(String city);

    String getTaskSUM(String city);

    String getVulSUM(String city);

    DataAnalysisResp getUserAndTaskDataCount(String city);

    List<DataAnalysisResp.HoopVulCount> getHoopVulCountList();

    List<DataAnalysisResp.ResourceDistCount> getResourceDistCountList(String city);

    List<VulInfo> getVulMonitorCountList(String city);


    List<Map<String,DataAnalysisResp>> userAndTaskCountList(String city);
}
